Was this page helpful?
Your feedback about this content is important. Let us know what you think.
Additional feedback?
1500 characters remaining
Export (0) Print
Expand All

Assembly.GetSatelliteAssembly Method (CultureInfo, Version)

Gets the specified version of the satellite assembly for the specified culture.

Namespace:  System.Reflection
Assembly:  mscorlib (in mscorlib.dll)

public Assembly GetSatelliteAssembly(
	CultureInfo culture,
	Version version
)

Parameters

culture
Type: System.Globalization.CultureInfo

The specified culture.

version
Type: System.Version

The version of the satellite assembly.

Return Value

Type: System.Reflection.Assembly
The specified satellite assembly.

Implements

_Assembly.GetSatelliteAssembly(CultureInfo, Version)

ExceptionCondition
ArgumentNullException

culture is null.

FileLoadException

The satellite assembly with a matching file name was found, but the CultureInfo or the version did not match the one specified.

FileNotFoundException

The assembly cannot be found.

BadImageFormatException

The satellite assembly is not a valid assembly.

Satellite assemblies contain localized resources, as distinct from main application assemblies, which contain non-localizable executable code and resources for a single culture that serve as the default or neutral culture.

Call the GetSatelliteAssembly(CultureInfo) overload to use your current assembly version.

If version is null, the current assembly version is used if both the resource and main assemblies are signed.

Windows 7, Windows Vista, Windows XP SP2, Windows XP Media Center Edition, Windows XP Professional x64 Edition, Windows XP Starter Edition, Windows Server 2008 R2, Windows Server 2008, Windows Server 2003, Windows Server 2000 SP4, Windows Millennium Edition, Windows 98, Windows CE, Windows Mobile for Smartphone, Windows Mobile for Pocket PC, Xbox 360, Zune

The .NET Framework and .NET Compact Framework do not support all versions of every platform. For a list of the supported versions, see .NET Framework System Requirements.

.NET Framework

Supported in: 3.5, 3.0, 2.0, 1.1, 1.0

.NET Compact Framework

Supported in: 3.5, 2.0, 1.0

XNA Framework

Supported in: 3.0, 2.0, 1.0

Community Additions

ADD
Show:
© 2015 Microsoft